<?php

namespace App\Model;

final class OgLiveStatus
{
    public const string PENDING = 'pending';
    public const string ACTIVE = 'active';
    public const string INACTIVE = 'inactive';
    public const string DELETED = 'deleted';
    public const string FAILED = 'failed';

    private const array OG_LIVE_STATUSES = [
        self::PENDING => 'Instalando',
        self::ACTIVE => 'Instalada',
        self::INACTIVE => 'Sin instalar',
        self::DELETED => 'Eliminado',
        self::FAILED => 'Fallido',
    ];

    public static function getOgLiveStatuses(): array
    {
        return self::OG_LIVE_STATUSES;
    }

    public static function getOgLiveStatus(string $ogLiveStatus): ?string
    {
        return self::OG_LIVE_STATUSES[$ogLiveStatus] ?? null;
    }

    public static function getOgLiveStatusKeys(): array
    {
        return array_keys(self::OG_LIVE_STATUSES);
    }
}